OpenapiO11y
Returns one integration's full detail — its overview, configuration steps,…
Returns one integration's full detail — its overview, configuration steps, collected data and assets — together with its installation record when the org…
GET /v1/o11y/integrations/{integrationId}
| Address | https://api.hanzo.ai/v1/o11y/integrations/{integrationId} |
| Method | GET |
| Operation | GetIntegration |
| Auth | Authorization: Bearer $HANZO_API_KEY |
Returns one integration's full detail — its overview, configuration steps, collected data and assets — together with its installation record when the org has installed it. Viewer gate.
Request
1 field.
| Field | In | Type | Required | Description |
|---|---|---|---|---|
integrationId | path | string | yes |
Response
| Status | Body | Meaning |
|---|---|---|
200 | o11y.O11yIntegrationOut | ok |
200 body — 61 fields.
| Field | In | Type | Always | Description |
|---|---|---|---|---|
data | body | o11y.Integration | — | |
data.assets | body | o11y.IntegrationAssets | — | |
data.assets.alerts | body | any[] | — | |
data.assets.dashboards | body | object[] | — | |
data.assets.dashboards[].* | body | object | — | |
data.assets.logs | body | o11y.LogsAssets | — | |
data.assets.logs.pipelines | body | o11y.PostablePipeline[] | — | |
data.assets.logs.pipelines[].alias | body | string | — | |
data.assets.logs.pipelines[].config | body | any[] | — | |
data.assets.logs.pipelines[].description | body | string | — | |
data.assets.logs.pipelines[].enabled | body | boolean | — | |
data.assets.logs.pipelines[].filter | body | o11y.FilterSet | — | |
data.assets.logs.pipelines[].filter.items | body | o11y.FilterItem[] | — | |
data.assets.logs.pipelines[].filter.items[].key | body | o11y.AttributeKey | — | |
data.assets.logs.pipelines[].filter.items[].key.dataType | body | string | — | |
data.assets.logs.pipelines[].filter.items[].key.isColumn | body | boolean | — | |
data.assets.logs.pipelines[].filter.items[].key.isJSON | body | boolean | — | |
data.assets.logs.pipelines[].filter.items[].key.key | body | string | — | |
data.assets.logs.pipelines[].filter.items[].key.type | body | string | — | |
data.assets.logs.pipelines[].filter.items[].op | body | string | — | |
data.assets.logs.pipelines[].filter.items[].value | body | object | — | |
data.assets.logs.pipelines[].filter.op | body | string | — | |
data.assets.logs.pipelines[].id | body | string | — | |
data.assets.logs.pipelines[].name | body | string | — | |
data.assets.logs.pipelines[].orderId | body | integer | — | |
data.author | body | o11y.IntegrationAuthor | — | |
data.author.email | body | string | — | |
data.author.homepage | body | string | — | |
data.author.name | body | string | — | |
data.categories | body | string[] | — | |
data.configuration | body | o11y.IntegrationConfigStep[] | — | |
data.configuration[].instructions | body | string | — | |
data.configuration[].title | body | string | — | |
data.connection_tests | body | o11y.IntegrationConnectionTests | — | |
data.connection_tests.logs | body | o11y.LogsConnectionTest | — | |
data.connection_tests.logs.attribute_key | body | string | — | |
data.connection_tests.logs.attribute_value | body | string | — | |
data.connection_tests.metrics | body | string[] | — | Metric names expected to have been received for the integration. |
data.data_collected | body | o11y.DataCollectedForIntegration | — | |
data.data_collected.logs | body | o11y.integrations.CollectedLogAttribute[] | — | |
data.data_collected.logs[].name | body | string | — | |
data.data_collected.logs[].path | body | string | — | |
data.data_collected.logs[].type | body | string | — | |
data.data_collected.metrics | body | o11y.integrations.CollectedMetric[] | — | |
data.data_collected.metrics[].description | body | string | — | |
data.data_collected.metrics[].name | body | string | — | |
data.data_collected.metrics[].type | body | string | — | |
data.data_collected.metrics[].unit | body | string | — | |
data.description | body | string | — | |
data.icon | body | string | — | |
data.id | body | string | — | |
data.installation | body | o11y.InstalledIntegration | — | |
data.installation.config | body | object | — | |
data.installation.config.* | body | object | — | |
data.installation.id | body | any | — | |
data.installation.installed_at | body | string (date-time) | — | |
data.installation.org_id | body | string | — | |
data.installation.type | body | string | — | |
data.overview | body | string | — | |
data.title | body | string | — | |
status | body | string | — | Status is "success". |
Failure carries the platform error shape — see Errors.
Examples
hanzo o11y integrations get <integrationId>import { Configuration, O11yApi } from 'hanzoai';
const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.getIntegration({ integrationId: 'integrationId' });from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi
client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).get_integration(integration_id='integrationId')cfg := cloud.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := cloud.NewAPIClient(cfg)
resp, _, err := client.O11yAPI.GetIntegration(context.Background()).Execute()
if err != nil {
return err
}use hanzo_cloud::apis::{configuration::Configuration, o11y_api};
let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();
let result = o11y_api::get_integration(&cfg, Default::default()).await?;import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;
ApiClient client = new ApiClient();
client.setRequestInterceptor(b -> b.header("Authorization", "Bearer " + System.getenv("HANZO_API_KEY")));
var result = new O11yApi(client).getIntegration();curl https://api.hanzo.ai/v1/o11y/integrations/<integrationId> \
-H "Authorization: Bearer $HANZO_API_KEY"Tool o11y, op GetIntegration — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.
curl -X POST https://api.hanzo.ai/v1/mcp \
-H "Authorization: Bearer $HANZO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "o11y",
"arguments": {
"op": "GetIntegration",
"input": {
"integrationId": "<integrationId>"
}
}
}
}'How is this guide?